﻿using Kivii.DataAnnotations;
using Kivii;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njhg.Third.Semir.Entities
{
    [Api(Description = "项目对应表")]
    [Alias(Configs.TableNameSemirRelation)]
    public class SemirRelation : EntityWithMetadata, IEntityInAssemblyDb
    {
        [ApiMember(Description = "项目名称")]
        [StringLength(300)]
        [Required, Unique("Semir")]
        public string Title { get; set; }

        [ApiMember(Description = "项目编码")]
        [StringLength(300)]
        [Required, Unique("Semir")]
        public string Code { get; set; }
    }
}
